Delete Webspace
Permanently delete a webspace. Confirmation required.
Permanently delete a webspace. Confirmation required.
Required scope: webspace:provision
| Header | Required | Value |
|---|---|---|
Authorization |
Yes | Bearer YOUR_API_KEY |
Content-Type |
Yes | application/json |
| Parameter | Required | Description |
|---|---|---|
confirm |
Yes | Must be exactly true. |
{ "data": { "id": "69e80ac118f081032f3b0416", "subdomain": "ws-0862c.sitequest.eu", "deleted": true } }
| Status | Code | Description |
|---|---|---|
| 400 | MISSING_CONFIRM |
Body did not include { "confirm": true }. |
curl -X DELETE https://hosting.site.quest/api/v1/webspaces/69e80ac118f081032f3b0416 \
-H "Authorization: Bearer sq_live_..." \
-H "Content-Type: application/json" \
-d '{ "confirm": true }'
This action is also available via the webspace_delete MCP tool.